Subject: Re: [bug#34466] Fwd: Re: [bug#34466] [PATCH] gnu: Add coq-equations.

From: Julien Lepiller <[email-masked]>
Date: Wed, 13 Feb 2019 13:45:43 +0100

Le 2019-02-13 13:39, Danny Milosavljevic a écrit :
> Hi Julien,
> 
>> When [invoke's child return status] is correct, [invoke] returns 
>> #<unspecified>, so we need to explicitly return #t.
> 
> That's not true.  invoke returns #t in the successful case--I designed
> it that way mostly to get rid of the many vestigal #t's in phases.
> 
> (I hope that in a future version of guix, the necessity of using #t to
> end phases will be gone entirely)

Ah, thanks for the info! So I guess we don't need to end any phase with 
#t
in that package definition, correct?